#pragma once
#include "libs.h"
#include "ship.h"

class Player : public Ship {
public:
  Player(ShipType::Type shipType);
  virtual ~Player(void);
  void PollControls(void);
  virtual void Render(const Frame* camFrame);
  void DrawHUD(const Frame* cam_frame);
  virtual void SetDockedWith(SpaceStation*);
  vector3d GetExternalViewTranslation(void);
  void ApplyExternalViewRotation(void);
private:
  void DrawTargetSquares();
  void DrawTargetSquare(const Body* const target);
  float m_mouseCMov[2];
  float m_external_view_rotx, m_external_view_roty;
  float m_external_view_dist;
};

